Bug 55151 - (SCSI AIC7XXX) mtx hanges changer (ATL L500)
(SCSI AIC7XXX) mtx hanges changer (ATL L500)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-26 08:36 EDT by Albert Fahey
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Albert Fahey 2001-10-26 08:36:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3-12smp i686)

Description of problem:
"mtx -f /dev/sg0 status" hangs the changer and eventually crashes linux if
you do not cycle power on the changer.  The command does not return until
you hit ^C

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.connect and turn on your changer
2.run "mtx" with appropriate options
3.
	

Actual Results:  program does not return.  Changer hangs.

Expected Results:  Dancing girls should appear on the screen.

Additional info:

uname -a yeilds:

Linux (hostname deleted) 2.4.2-2smp #1 SMP Sun Apr 8 20:21:34 EDT 2001 i686
unknown

when executing:

mtx -f /dev/sg0 status

the command "hangs" (i.e. does not return until I press ^C)
and the tape library is confused (i.e. the from panel on the
library does not respond).  If you leave the tape drive in
this state without cycling power to reset it linux will
eventually hang and you will have to re-boot.


grep sg0 /var/log/messages yields:

Oct 23 01:00:01 bnb kernel: Attached scsi generic sg0 at scsi0, channel 0,
id 0, lun 0, type 8
Oct 24 13:15:44 bnb kernel: Attached scsi generic sg0 at scsi0, channel 0,
id 0, lun 0, type 8
Oct 26 08:07:07 bnb kernel: Attached scsi generic sg0 at scsi0, channel 0,
id 0, lun 0, type 8


cat /proc/scsi/scsi yelds:
Attached devices: 
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: ATL      Model: L500     6320000 Rev: 0021
  Type:   Medium Changer                   ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: QUANTUM  Model: DLT7000          Rev: 2560
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi1 Channel: 04 Id: 00 Lun: 00
  Vendor: MegaRAID Model: LD0 RAID1  8760R Rev: H791
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi1 Channel: 04 Id: 00 Lun: 01
  Vendor: MegaRAID Model: LD1 RAID5 10012R Rev: H791
  Type:   Direct-Access                    ANSI SCSI revision: 02

cat /var/log/dmesg yields:

el.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-79)) #1
SMP Sun Apr 8 20:21:34 EDT 2001
BIOS-provided physical RAM map:
 BIOS-e820: 00000000000a0000 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
 BIOS-e820: 000000000fefe000 @ 0000000000100000 (usable)
 BIOS-e820: 0000000000002000 @ 000000000fffe000 (reserved)
 BIOS-e820: 0000000000200000 @ 00000000ffe00000 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000fec00000 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000fee00000 (reserved)
hm, page 00001000 reserved twice.
Scan SMP from c0000000 for 1024 bytes.
Scan SMP from c009fc00 for 1024 bytes.
Scan SMP from c00f0000 for 65536 bytes.
found SMP MP-table at 000fe710
hm, page 000fe000 reserved twice.
hm, page 000ff000 reserved twice.
hm, page 00100000 reserved twice.
hm, page 000f0000 reserved twice.
hm, page 000f1000 reservedtwice.
On node 0 totalpages: 65534
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 61438 pages.
zone Normal has max 479 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: DELL     Product ID: WS 410       APIC at: 0xFEE00000
Processor #0 Pentium(tm) Pro APIC version 17
    Floating point unit present.
    Machine Exception supported.
    64 bit compare & exchange supported.
    Internal APIC present.
    SEP present.
    MTRR  present.
    PGE  present.
    MCA  present.
    CMOV  present.
    PAT  present.
    PSE  present.
    MMX  present.
    FXSR  present.
    Bootup CPU
Processor #1 Pentium(tm) Pro APIC version 17
    Floating point unit present.
    Machine Exception supported.
    64 bit compare & exchange supported.
    Internal APIC present.
    SEP present.
    MTRR  present.
    PGE  present.
    MCA  present.
    CMOV  present.
    PAT  present.
    PSE  present.
    MMX  present.
    FXSR  present.
Bus #0 is PCI   
Bus #1 is PCI   
Bus #2 is PCI   
Bus #3 is PCI   
Bus #4 is ISA   
I/O APIC #2 Version 17 at 0xFEC00000.
Int: type 3, pol 1, trig 1, bus 4, IRQ 00, APIC ID 2, APIC INT 00
Int: type 0, pol 0, trig 0, bus 4, IRQ 01, APIC ID 2, APIC INT 01
Int: type 0, pol 0, trig 0, bus 4, IRQ 00, APIC ID 2, APIC INT 02
Int: type 0, pol 0, trig 0, bus 4, IRQ 03, APIC ID 2, APIC INT 03
Int: type 0, pol 0, trig 0, bus 4, IRQ 04, APIC ID 2, APIC INT 04
Int: type 0, pol 0, trig 0, bus 4, IRQ 05, APIC ID 2, APIC INT 05
Int: type 0, pol 0, trig 0, bus 4, IRQ 06, APIC ID 2, APIC INT 06
Int: type 0, pol 0, trig 0, bus 4, IRQ 07, APIC ID 2, APIC INT 07
Int: type 0, pol 0, trig 0, bus 4, IRQ 08, APIC ID 2, APIC INT 08
Int: type 0, pol 0, trig 0, bus 4, IRQ 09, APIC ID 2, APIC INT 09
Int: type 0, pol 0, trig 0, bus 4, IRQ 0a, APIC ID 2, APIC INT 0a
Int: type 0, pol 0, trig 0, bus 4, IRQ 0b, APIC ID 2, APIC INT 0b
Int: type 0, pol 0, trig 0, bus 4, IRQ 0c, APIC ID 2, APIC INT 0c
Int: type 0, pol 0, trig 0, bus 4, IRQ 0e, APIC ID 2, APIC INT 0e
Int: type 0, pol 0, trig 0, bus 4, IRQ 0f, APIC ID 2, APIC INT 0f
Int: type 0, pol 0, trig 0, bus 0, IRQ 34, APIC ID 2, APIC INT 10
Int: type 0, pol 0, trig 0, bus 0, IRQ 3b, APIC ID 2, APIC INT 10
Int: type 0, pol 0, trig 0, bus 0, IRQ 41, APIC ID 2, APIC INT 10
Int: type 0, pol 0, trig 0, bus 1, IRQ 00, APIC ID 2, APIC INT 10
Int: type 0, pol 0, trig 0, bus 3, IRQ 1a, APIC ID 2, APIC INT 10
Int: type 0, pol 0, trig 0, bus 3, IRQ 27, APIC ID 2, APIC INT 10
Int: type 0, pol 0, trig 0, bus 0, IRQ 35, APIC ID 2, APIC INT 11
Int: type 0, pol 0, trig 0, bus 0, IRQ 38, APIC ID 2, APIC INT 11
Int: type 0, pol 0, trig 0, bus 0, IRQ 42, APIC ID 2, APIC INT 11
Int: type 0, pol 0, trig 0, bus 1, IRQ 01, APIC ID 2, APIC INT 11
Int: type 0, pol 0, trig 0, bus 3, IRQ 1b, APIC ID 2, APIC INT 11
Int: type 0, pol 0, trig 0, bus 3, IRQ 24, APIC ID 2, APIC INT 11
Int: type 0, pol 0, trig 0, bus 0, IRQ 36, APIC ID 2, APIC INT 12
Int: type 0, pol 0, trig 0, bus 0, IRQ 39, APIC ID 2, APIC INT 12
Int: type 0, pol 0, trig 0, bus 0, IRQ 43, APIC ID 2, APIC INT 12
Int: type 0, pol 0, trig 0, bus 3, IRQ 18, APIC ID 2, APIC INT 12
Int: type 0, pol 0, trig 0, bus 3, IRQ 25, APIC ID 2, APIC INT 12
Int: type 0, pol 0, trig 0, bus 3, IRQ 28, APIC ID 2, APIC INT 12
Int: type 0, pol 0, trig 0, bus 3, IRQ 38, APIC ID 2, APIC INT 12
Int: type 0, pol 0, trig 0, bus 0, IRQ 1f, APIC ID 2, APIC INT 13
Int: type 0, pol 0, trig 0, bus 0, IRQ 37, APIC ID 2, APIC INT 13
Int: type 0, pol 0, trig 0, bus 0, IRQ 3a, APIC ID 2, APIC INT 13
Int: type 0, pol 0, trig 0, bus 0, IRQ 40, APIC ID 2, APIC INT 13
Int: type 0, pol 0, trig 0, bus 0, IRQ 44, APIC ID 2, APIC INT 13
Int: type 0, pol 0, trig 0, bus 3, IRQ 19, APIC ID 2, APIC INT 13
Int: type 0, pol 0, trig 0, bus 3, IRQ 26, APIC ID 2, APIC INT 13
Lint: type 3, pol 1, trig 1, bus 4, IRQ 00, APIC ID ff, APIC LINT 00
Lint: type 1, pol 1, trig 1, bus 4, IRQ 00, APIC ID ff, APIC LINT 01
Processors: 2
mapped APIC to ffffe000 (fee00000)
mapped IOAPIC to ffffd000 (fec00000)
hm, page 01000000 reserved twice.
Kernel command line: auto BOOT_IMAGE=linux ro root=801
BOOT_FILE=/boot/vmlinuz-2.4.2-2smp
Initializing CPU#0
Detected 398.780 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 796.26 BogoMIPS
Memory: 254520k/262136k available (1500k kernel code, 7232k reserved, 103k
data, 252k init, 0k highmem)
Dentry-cache hash table entries: 32768 (order: 6, 262144 bytes)
Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 7, 524288 bytes)
Inode-cache hash table entries: 16384 (order: 5, 131072 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0183fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0183fbff 00000000 00000000 00000000
CPU: After generic, caps: 0183fbff 00000000 00000000 00000000
CPU: Common caps: 0183fbff 00000000 00000000 00000000
Enabling fast FPU save and restore... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
CPU: Before vendor init, caps: 0183fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0183fbff 00000000 00000000 00000000
CPU: After generic, caps: 0183fbff 00000000 00000000 00000000
CPU: Common caps: 0183fbff 00000000 00000000 00000000
CPU0: Intel Pentium II (Deschutes) stepping 02
per-CPU timeslice cutoff: 1464.09 usecs.
Getting VERSION: 40011
Getting VERSION: 40011
Getting ID: 0
Getting ID: f000000
Getting LVT0: 700
Getting LVT1: 400
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000040
ESR value after enabling vector: 00000000
CPU present map: 3
Booting processor 1/1 eip 3000
Setting warm reset code and vector.
1.
2.
3.
Asserting INIT.
Waiting for send to finish...
+Deasserting INIT.
Waiting for send to finish...
+#startup loops: 2.
Sending STARTUP #1.
After apic_write.
Initializing CPU#1
CPU#1 (phys ID: 1) waiting for CALLOUT
Startup point 1.
Waiting for send to finish...
+Sending STARTUP #2.
After apic_write.
Startup point 1.
Waiting for send to finish...
+After Startup.
Before Callout 1.
After Callout 1.
CALLIN, before setup_local_APIC().
masked ExtINT on CPU#1
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 796.26 BogoMIPS
Stack at about c144dfb8
CPU: Before vendor init, caps: 0183fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
Intel machine check reporting enabled on CPU#1.
CPU: After vendor init, caps: 0183fbff 00000000 00000000 00000000
CPU: After generic, caps: 0183fbff 00000000 00000000 00000000
CPU: Common caps: 0183fbff 00000000 00000000 00000000
OK.
CPU1: Intel Pentium II (Deschutes) stepping 02
CPU has booted.
Before bogomips.
Total of 2 processors activated (1592.52 BogoMIPS).
Before bogocount - setting activated=1.
Boot done.
ENABLING IO-APIC IRQs
...changing IO-APIC physical APIC ID to 2 ... ok.
Synchronizing Arb IDs.
init IO_APIC IRQs
 IO-APIC (apicid-pin) 2-0, 2-13, 2-20, 2-21, 2-22, 2-23 not connected.
..TIMER: vector=49 pin1=2 pin2=0
number of MP IRQ sources: 41.
number of IO-APIC #2 registers: 24.
testing the IO APIC.......................

IO APIC #2......
.... register #00: 02000000
.......    : physical APIC id: 02
.... register #01: 00170011
.......     : max redirection entries: 0017
.......     : IO APIC version: 0011
.... register #02: 00000000
.......     : arbitration: 00
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
 00 000 00  1    0    0   0   0    0    0    00
 01 003 03  0    0    0   0   0    1    1    39
 02 003 03  0    0    0   0   0    1    1    31
 03 003 03  0    0    0   0   0    1    1    41
 04 003 03  0    0    0   0   0    1    1    49
 05 003 03  0    0    0   0   0    1    1    51
 06 003 03  0    0    0   0   0    1    1    59
 07 003 03  0    0    0   0   0    1    1    61
 08 003 03  0    0    0   0   0    1    1    69
 09 003 03  0    0    0   0   0    1    1    71
 0a 003 03  0    0    0   0   0    1    1    79
 0b 003 03  0    0    0   0   0    1    1    81
 0c 003 03  0    0    0   0   0    1    1    89
 0d 000 00  1    0    0   0   0    0    0    00
 0e 003 03  0    0    0   0   0    1    1    91
 0f 003 03  0    0    0   0   0    1    1    99
 10 003 03  1    1    0   1   0    1    1    A1
 11 003 03  1    1    0   1   0    1    1    A9
 12 003 03  1    1    0   1   0    1    1    B1
 13 003 03  1  1    0   1   0    1    1    B9
 14 000 00  1    0    0   0   0    0    0    00
 15 000 00  1    0    0   0   0    0    0    00
 16 000 00  1    0    0   0   0    0    0    00
 17 000 00  1    0    0   0   0    0    0    00
IRQ to pin mappings:
IRQ0 -> 0:2
IRQ1 -> 0:1
IRQ3 -> 0:3
IRQ4 -> 0:4
IRQ5 -> 0:5
IRQ6 -> 0:6
IRQ7 -> 0:7
IRQ8 -> 0:8
IRQ9 -> 0:9
IRQ10 -> 0:10
IRQ11 -> 0:11
IRQ12 -> 0:12
IRQ14 -> 0:14
IRQ15 -> 0:15
IRQ16 -> 0:16
IRQ17 -> 0:17
IRQ18 -> 0:18
IRQ19 -> 0:19
.................................... done.
calibrating APIC timer ...
..... CPU clock speed is 398.7917 MHz.
..... host bus clock speed is 99.6977 MHz.
cpu: 0, clocks: 996977, slice: 332325
CPU0<T0:996976,T1:664640,D:11,S:332325,C:996977>
cpu: 1, clocks: 996977, slice: 332325
CPU1<T0:996976,T1:332320,D:6,S:332325,C:996977>
checking TSC synchronization across CPUs: passed.
Setting commenced=1, go go go
PCI: PCI BIOS revision 2.10 entry at 0xfca9e, last bus=3
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 0: assuming transparent
Unknown bridge resource 0: assuming transparent
Unknown bridge resource 1: assuming transparent
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
PCI->APIC IRQ transform: (B0,I7,P3) -> 19
PCI->APIC IRQ transform: (B0,I13,P0) -> 16
PCI->APIC IRQ transform: (B0,I17,P0) -> 19
PCI->APIC IRQ transform: (B1,I0,P0) -> 16
PCI->APIC IRQ transform: (B3,I6,P0) -> 18
PCI->APIC IRQ transform: (B3,I9,P0) -> 17
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.14)
apm: disabled - APM is not SMP safe.
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 168880kB/56293kB, 512 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
hda: TOSHIBA CD-ROM XM-6702B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 375k freed
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 16384)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
(scsi0) <Adaptec AIC-7892 Ultra 160/m SCSI host adapter> found at PCI 3/9/0
(scsi0) Wide Channel, SCSI ID=7, 32/255 SCBs
(scsi0) Downloading sequencer code... 396 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
       <Adaptec AIC-7892 Ultra 160/m SCSI host adapter>
  Vendor: ATL       Model: L500     6320000  Rev: 0021
  Type:   Medium Changer                     ANSI SCSI revision: 02
  Vendor: QUANTUM   Model: DLT7000           Rev: 2560
  Type:   Sequential-Access                  ANSI SCSI revision: 02
megaraid: v1.14g (Release Date: Feb 5, 2001; 11:42)
megaraid: found 0x8086:0x1960:idx 0:bus 0:slot 13:func 1
scsi1 : Found a MegaRAID controller at 0xd084a000, IRQ: 16
megaraid: [H791:1p00] detected 2 logical drives
scsi1 : AMI MegaRAID H791 254 commands 16 targs 4 chans 8 luns
scsi1: scanning channel 1 for devices.
scsi1: scanning channel 2 for devices.
scsi1: scanning channel 3 for devices.
scsi1: scanning channel 4 for devices.
scsi1: scanning virtual channel for logical drives.
  Vendor: MegaRAID  Model: LD0 RAID1  8760R  Rev: H791
  Type:   Direct-Access                      ANSI SCSI revision: 02
  Vendor: MegaRAID  Model: LD1 RAID5 10012R  Rev: H791
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi disk sda at scsi1, channel 4, id 0, lun 0
Attached scsi disk sdb at scsi1, channel 4, id 0, lun 1
SCSI device sda: 17940480 512-byte hdwr sectors (9186 MB)
Partition check:
 sda: sda1 sda2 < sda5 >
SCSI device sdb: 430104576 512-byte hdwr sectors (220214 MB)
 sdb: sdb1
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=3
Trying to unmount old root ... okay
Freeing unused kernel memory: 252k freed
Adding Swap: 136512k swap-space (priority -1)
Adding Swap: 388088k swap-space (priority -2)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 20:34:18 Apr  8 2001
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xdce0, IRQ 19
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
st: bufsize 32768, wrt 30720, max init. buffers 4, s/g segs 16.
Attached scsi tape st0 at scsi0, channel 0, id 1, lun 0
Comment 1 Ngo Than 2001-12-14 09:11:02 EST
It should be a kernel bug.
Comment 2 Bugzilla owner 2004-09-30 11:39:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.